Dialogs module - Defect #336

dialog not dismissing...
06/28/2011 05:56 PM - Rafi Galibov

Status: Closed Start date: 06/28/2011
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.1.2

Browser (if web

client):

Description

| am getting an error sometimes when using the module in web client...

Exception Object: java.lang.RuntimeException: Couldn't start the scheduler! Unable to store Job wi
th name: '563283B7-A37D-4810-9E0D-9095866C5C1F"' and group: '906FE0B4-9C99-4428-8FCD-118F6C38BCC8"',
because one already exists with this identification.
MSG: Couldn't start the scheduler! Unable to store Job with name: '563283B7-A37D-4810-9E0D-9095866
C5C1F' and group: '906FEOB4-9C99-4428-8FCD-118F6C38BCC8', because one already exists with this ide
ntification.
Couldn't start the scheduler! Unable to store Job with name: '563283B7-A37D-4810-9E0D-9095866C5C1F
' and group: '906FE0B4-9C99-4428-8FCD-118F6C38BCC8', because one already exists with this identifi
cation.
Wrapped java.lang.RuntimeException: Couldn't start the scheduler! Unable to store Job with name: '
563283B7-A37D-4810-9E0D-9095866C5C1F"' and group: '906FE0B4-9C99-4428-8FCD-118F6C38BCC8', because o
ne already exists with this identification. (/Users/rafig/servoy_workspace5rnoh/mod_dialog/forms/d
ialogs_base. js#33)

at /Users/rafig/servoy_workspace5Srnoh/mod_dialog/forms/dialogs_base.js:33 (onHide)

at /Users/rafig/servoy_workspace5Srnoh/mod_dialog/forms/dialogs_base.js:51 (onButtonAction)

Can't remove dialog form '81010C7A-8808-4100-BBC2-E377919CE656' from history
Exception Object: java.lang.RuntimeException: Couldn't start the scheduler! Unable to store Job wi
th name: '81010C7A-8808-4100-BBC2-E377919CE656' and group: '906FE0B4-9C99-4428-8FCD-118F6C38BCC8",
because one already exists with this identification.
MSG: Couldn't start the scheduler! Unable to store Job with name: '81010C7A-8808-4100-BBC2-E377919
CE656' and group: '906FEOB4-9C99-4428-8FCD-118F6C38BCC8', because one already exists with this ide
ntification.
Couldn't start the scheduler! Unable to store Job with name: '81010C7A-8808-4100-BBC2-E377919CE656
' and group: '906FE0B4-9C99-4428-8FCD-118F6C38BCC8', because one already exists with this identifi
cation.
Wrapped java.lang.RuntimeException: Couldn't start the scheduler! Unable to store Job with name: '
81010C7A-8808-4100-BBC2-E377919CE656"' and group: '906FE0B4-9C99-4428-8FCD-118F6C38BCC8', because o
ne already exists with this identification. (/Users/rafig/servoy_workspace5rnoh/mod_dialog/forms/d
ialogs_base. js#33)

at /Users/rafig/servoy_workspace5Srnoh/mod_dialog/forms/dialogs_base.js:33 (onHide)

at /Users/rafig/servoy_workspace5Srnoh/mod_dialog/forms/dialogs_base.js:51 (onButtonAction)

I am in an 'onDataChange' method, but it did happen as well after the code in my previous Issue, but | hadn't thought about raising it
@

function onDataChangeMsgType ( oldValue, newValue, event ) {
switch ( newValue ) {

case 'FAX'":

elements.Ibl_attachment_file_name.visible = true;
elements.Ibl_send_msg_txt.visible = true;
elements.lbl_send_subject.visible = true;
elements.lbl_send_to.visible = true;

elements.send_to.visible = true;

elements.send_subject.visible = true;
elements.send_msg_txt.visible = true;
elements.attachment_file_name.visible = true;
elements.btn_choose.visible = true;
elements.lbl_send_to.text = 'FAX No';

elements.send_to.enabled = true;

elements.send_subject.enabled = true;

elements.send_msg_txt.enabled = true;

elements.attachment_file_name.enabled = true;

elements.btn_choose.enabled = true;

elements.lbl_chars_left.visible = false;

if (globals.send_to =" {

globals.send_to = plugins.fmp.trim ( plugins.fmp.substitute ( plugins.fmp.substitute ( plugins.fmp.substitute ( plugins.fmp.substitute (
globals.send_to, "), "),'(, "), "),", ") );

if ( ( plugins.fmp.left ( globals.send_to, 2 ) '07") || ( plugins.fmp.left ( globals.send_to, 4 ) '+447')) {

/I seems to be a mobile no, not allowed for faxing

application.beep ( );

globals.DIALOGS.showErrorDialog ( "Error", "You can't send a fax to a mobile number!", "OK" );
elements.btn_send.visible = false;

elements.btn_send.enabled = false;

elements.send_to.requestFocus ( );

return false;

1
1
break;

@
Thanks

Related issues:
Related to Dialogs module - Defect #335: Request for a 'close' function Resolved 06/28/2011

History

#1 - 06/28/2011 07:14 PM - Robert Ivens

Each dialog (should) get a unique name (the UUID) and when closing (onHide) it sets a cronjob with that UUID as name to destroy the dialog
blueprint.

Are these dialogs opened right after each other ? Or are these errors far apart (time-wise) ?
l.e. in what sort of situation does this occur ?

#2 - 06/28/2011 07:19 PM - Robert Ivens

Nevermind, you already explained the situation in the ticket.

I will look into this.

#3 - 07/02/2011 10:24 AM - Robert Ivens
- Status changed from New to Closed

- Target version setto 1.1.2

| added some more checks in there so it wouldn't error.
